Subject: bug#56634: closed (Re: bug#56634: [PATCH] * eudc.texi: Unquote setopt option names)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 19 Jul 2022 15:08:01 +0000

Your bug report

#56634: [PATCH] * eudc.texi: Unquote setopt option names

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
56634: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=56634
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#56634: [PATCH] * eudc.texi: Unquote setopt option names
From: Thomas Fitzsimmons <[email-masked]>
To: Stefan Kangas <[email-masked]>
Cc: [email-masked], Philip Kaludercic <[email-masked]>
Date: Tue, 19 Jul 2022 11:07:38 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Stefan Kangas <[email-masked]> writes:

> Philip Kaludercic <[email-masked]> writes:
>
>> Reading through the EUDC manual I noticed that the setopt examples
>> cannot be evaluated since the option names are quoted (as if passed to
>> `customize-set-variable').  The patch below fixes this.
>
> LGTM, please push.

Pushed, thanks.

Thomas

Subject: [PATCH] * eudc.texi: Unquote setopt option names
From: Philip Kaludercic <[email-masked]>
To: [email-masked]
Date: Mon, 18 Jul 2022 20:46:40 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Tags: patch

Reading through the EUDC manual I noticed that the setopt examples
cannot be evaluated since the option names are quoted (as if passed to
`customize-set-variable').  The patch below fixes this.

>From what I see this isn't been done anywhere else, so this patch should
fix the issue.

In GNU Emacs 29.0.50 (build 3, x86_64-pc-linux-gnu, GTK+ Version 2.24.33, cairo version 1.16.0)
 of 2022-07-14 built on icterid
Repository revision: 73054b61486b5ac6bfd96f6421a6f7dc1483fa5d
Repository branch: feature/package+vc
Windowing system distributor 'The X.Org Foundation', version 11.0.12011000
System Description: Debian GNU/Linux 11 (bullseye)

>From 8cd55071e982f399079ca12cbaf35d07599ee33a Mon Sep 17 00:00:00 2001
From: Philip Kaludercic <[email-masked]>
Date: Mon, 18 Jul 2022 22:44:52 +0200
Subject: [PATCH] * eudc.texi: Unquote setopt option names

---
 doc/misc/eudc.texi | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

diff --git a/doc/misc/eudc.texi b/doc/misc/eudc.texi
index 4c1adf3b0f..0037ba78d3 100644
--- a/doc/misc/eudc.texi
+++ b/doc/misc/eudc.texi
@@ -292,7 +292,7 @@ Emacs-only Configuration
 (setopt eudc-server-hotlist
         '(("" . bbdb)
           ("ldaps://ldap.gnu.org" . ldap)))
-(setopt 'ldap-host-parameters-alist
+(setopt ldap-host-parameters-alist
         '(("ldaps://ldap.gnu.org"
                   base "ou=people,dc=gnu,dc=org"
                   binddn "gnu\\emacsuser"
@@ -346,10 +346,10 @@ External Configuration
 @lisp
 (with-eval-after-load "message"
   (define-key message-mode-map (kbd "TAB") 'eudc-expand-try-all))
-(setopt 'eudc-server-hotlist
+(setopt eudc-server-hotlist
         '(("" . bbdb)
           ("ldaps://ldap.gnu.org" . ldap)))
-(setopt 'ldap-host-parameters-alist
+(setopt ldap-host-parameters-alist
         '(("ldaps://ldap.gnu.org"
                   auth-source t)))
 @end lisp
@@ -376,9 +376,9 @@ External Configuration
 @lisp
 (with-eval-after-load "message"
   (define-key message-mode-map (kbd "TAB") 'eudc-expand-try-all))
-(setopt 'eudc-server-hotlist
+(setopt eudc-server-hotlist
         '(("" . bbdb) ("" . ldap)))
-(setopt 'ldap-host-parameters-alist
+(setopt ldap-host-parameters-alist
         '(("" auth-source t)))
 @end lisp
 
-- 
2.30.2